# Uses of Class co.aikar.commands.JDACommandManager (ACF (JDA) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: JDACommandManager

# Uses of Class
co.aikar.commands.JDACommandManager

Packages that use JDACommandManager
Package
Description
co.aikar.commands

## Uses of JDACommandManager in co.aikar.commands

Methods in co.aikar.commands that return JDACommandManager
Modifier and Type
Method
Description
`JDACommandManager`
JDAOptions.`create(net.dv8tion.jda.api.JDA jda)`
Methods in co.aikar.commands with parameters of type JDACommandManager
Modifier and Type
Method
Description
`boolean`
CommandPermissionResolver.`hasPermission(JDACommandManager manager, JDACommandEvent event, String permission)`
`boolean`
JDACommandPermissionResolver.`hasPermission(JDACommandManager manager, JDACommandEvent event, String permission)`
Constructors in co.aikar.commands with parameters of type JDACommandManager
Modifier
Constructor
Description
``
`JDACommandContexts(JDACommandManager manager)`
``
`JDACommandEvent(JDACommandManager manager, net.dv8tion.jda.api.events.message.MessageReceivedEvent event)`